# Class AbstractAccessLogValve.RemoteAddrElement

java.lang.Object
org.apache.catalina.valves.AbstractAccessLogValve.RemoteAddrElement

All Implemented Interfaces:
  `AbstractAccessLogValve.AccessLogElement, AbstractAccessLogValve.CachedElement`

Enclosing class:
  `AbstractAccessLogValve`

protected class AbstractAccessLogValve.RemoteAddrElement extends Object implements AbstractAccessLogValve.AccessLogElement, AbstractAccessLogValve.CachedElement
write remote IP address - %a

## Constructor Summary

Constructors
Constructor
Description
`RemoteAddrElement()`
`RemoteAddrElement(String type)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addElement(CharArrayWriter buf, Date date, Request request, Response response, long time)`
`void`
`cache(Request request)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RemoteAddrElement

public RemoteAddrElement()

### RemoteAddrElement

public RemoteAddrElement(String type)

## Method Details

### addElement

public void addElement(CharArrayWriter buf, Date date, Request request, Response response, long time)

Specified by:
  `addElement` in interface `AbstractAccessLogValve.AccessLogElement`

### cache

public void cache(Request request)

Specified by:
  `cache` in interface `AbstractAccessLogValve.CachedElement`